languageCodes = {
  ["Abkhaz"] = "ab",
  ["Afar"] = "aa",
  ["Afrikaans"] = "af",
  ["Akan"] = "ak",
  ["Albanian"] = "sq",
  ["Amharic"] = "am",
  ["Arabic"] = "ar",
  ["Aragonese"] = "an",
  ["Armenian"] = "hy",
  ["Assamese"] = "as",
  ["Avaric"] = "av",
  ["Avestan"] = "ae",
  ["Aymara"] = "ay",
  ["Azerbaijani"] = "az",
  ["Bambara"] = "bm",
  ["Bashkir"] = "ba",
  ["Basque"] = "eu",
  ["Belarusian"] = "be",
  ["Bengali"] = "bn",
  ["Bhojpuri"] = "bho",
  ["Bislama"] = "bi",
  ["Bosnian"] = "bs",
  ["Breton"] = "br",
  ["Bulgarian"] = "bg",
  ["Burmese"] = "my",
  ["Catalan"] = "ca",
  ["Chamorro"] = "ch",
  ["Chechen"] = "ce",
  ["Chichewa"] = "ny",
  ["Chinese"] = "zh",
  ["Chuvash"] = "cv",
  ["Cornish"] = "kw",
  ["Corsican"] = "co",
  ["Cree"] = "cr",
  ["Croatian"] = "hr",
  ["Czech"] = "cs",
  ["Danish"] = "da",
  ["Divehi"] = "dv",
  ["Dutch"] = "nl",
  ["Dzongkha"] = "dz",
  ["English"] = "en",
  ["Esperanto"] = "eo",
  ["Estonian"] = "et",
  ["Ewe"] = "ee",
  ["Faroese"] = "fo",
  ["Fijian"] = "fj",
  ["Finnish"] = "fi",
  ["French"] = "fr",
  ["Fulah"] = "ff",
  ["Galician"] = "gl",
  ["Georgian"] = "ka",
  ["German"] = "de",
  ["Greek"] = "el",
  ["Guarani"] = "gn",
  ["Gujarati"] = "gu",
  ["Haitian"] = "ht",
  ["Hausa"] = "ha",
  ["Hebrew"] = "he",
  ["Herero"] = "hz",
  ["Hindi"] = "hi",
  ["Hiri Motu"] = "ho",
  ["Hungarian"] = "hu",
  ["Icelandic"] = "is",
  ["Ido"] = "io",
  ["Igbo"] = "ig",
  ["Indonesian"] = "id",
  ["Interlingua"] = "ia",
  ["Interlingue"] = "ie",
  ["Inuktitut"] = "iu",
  ["Inupiaq"] = "ik",
  ["Irish"] = "ga",
  ["Italian"] = "it",
  ["Japanese"] = "ja",
  ["Javanese"] = "jv",
  ["Kalaallisut"] = "kl",
  ["Kannada"] = "kn",
  ["Kanuri"] = "kr",
  ["Kashmiri"] = "ks",
  ["Kazakh"] = "kk",
  ["Khmer"] = "km",
  ["Kikuyu"] = "ki",
  ["Kinyarwanda"] = "rw",
  ["Komi"] = "kv",
  ["Kongo"] = "kg",
  ["Korean"] = "ko",
  ["Kurdish"] = "ku",
  ["Kwanyama"] = "kj",
  ["Kyrgyz"] = "ky",
  ["Lao"] = "lo",
  ["Latin"] = "la",
  ["Latvian"] = "lv",
  ["Limburgish"] = "li",
  ["Lingala"] = "ln",
  ["Lithuanian"] = "lt",
  ["Luba-Katanga"] = "lu",
  ["Luxembourgish"] = "lb",
  ["Macedonian"] = "mk",
  ["Malagasy"] = "mg",
  ["Malay"] = "ms",
  ["Malayalam"] = "ml",
  ["Maltese"] = "mt",
  ["Manx"] = "gv",
  ["Maori"] = "mi",
  ["Marathi"] = "mr",
  ["Marshallese"] = "mh",
  ["Mongolian"] = "mn",
  ["Nauru"] = "na",
  ["Navajo"] = "nv",
  ["Ndonga"] = "ng",
  ["Nepali"] = "ne",
  ["North Ndebele"] = "nd",
  ["Northern Sami"] = "se",
  ["Norwegian"] = "no",
  ["Norwegian Bokmål"] = "nb",
  ["Norwegian Nynorsk"] = "nn",
  ["Nuosu"] = "ii",
  ["Occitan"] = "oc",
  ["Ojibwe"] = "oj",
  ["Old Church Slavonic"] = "cu",
  ["Oromo"] = "om",
  ["Ossetian"] = "os",
  ["Pāli"] = "pi",
  ["Pashto"] = "ps",
  ["Persian"] = "fa",
  ["Polish"] = "pl",
  ["Portuguese"] = "pt",
  ["Punjabi"] = "pa",
  ["Quechua"] = "qu",
  ["Romansh"] = "rm",
  ["Romanian"] = "ro",
  ["Russian"] = "ru",
  ["Samoan"] = "sm",
  ["Sango"] = "sg",
  ["Sanskrit"] = "sa",
  ["Sardinian"] = "sc",
  ["Scottish Gaelic"] = "gd",
  ["Serbian"] = "sr",
  ["Shona"] = "sn",
  ["Sindhi"] = "sd",
  ["Sinhala"] = "si",
  ["Slovak"] = "sk",
  ["Slovene"] = "sl",
  ["Somali"] = "so",
  ["Southern Sotho"] = "st",
  ["South Ndebele"] = "nr",
  ["Spanish"] = "es",
  ["Sundanese"] = "su",
  ["Swahili"] = "sw",
  ["Swati"] = "ss",
  ["Swedish"] = "sv",
  ["Tagalog"] = "tl",
  ["Tahitian"] = "ty",
  ["Tajik"] = "tg",
  ["Tamil"] = "ta",
  ["Tatar"] = "tt",
  ["Telugu"] = "te",
  ["Thai"] = "th",
  ["Tibetan"] = "bo",
  ["Tigrinya"] = "ti",
  ["Tonga"] = "to",
  ["Tsonga"] = "ts",
  ["Tswana"] = "tn",
  ["Turkish"] = "tr",
  ["Turkmen"] = "tk",
  ["Twi"] = "tw",
  ["Ukrainian"] = "uk",
  ["Urdu"] = "ur",
  ["Uyghur"] = "ug",
  ["Uzbek"] = "uz",
  ["Venda"] = "ve",
  ["Vietnamese"] = "vi",
  ["Volapük"] = "vo",
  ["Walloon"] = "wa",
  ["Welsh"] = "cy",
  ["Western Frisian"] = "fy",
  ["Wolof"] = "wo",
  ["Xhosa"] = "xh",
  ["Yiddish"] = "yi",
  ["Yoruba"] = "yo",
  ["Zhuang"] = "za",
  ["Zulu"] = "zu"
}
